Subject: bug#39164: 27.0.60; Intermittent crash on MacOS 10.14 in setup_process_coding_systems

From: Eli Zaretskii <[email-masked]>
Date: Tue, 28 Jan 2020 11:42:29 +0200

On January 28, 2020 11:14:41 AM GMT+02:00, YAMAMOTO Mitsuharu <[email-masked]> wrote:
> On Tue, 28 Jan 2020 18:02:52 +0900,
> Eli Zaretskii wrote:
> > 
> > I'm not sure I understand the implication.  How will this workaround
> ensure starting a  subprocess doesn't produce a file descriptor beyond
> FD_SETSIZE?  Maybe all I'm missing is under what conditions will the
> code you propose be called.
> 
> It is called during the Mac terminal initialization.

And the increase in the number of available descriptors triggered by the system libraries is guaranteed to be called before that?  Then how is this call to setrlimit is dufferent from what we already do at startup?